summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Matthew Kuzminski <mattkuzminski@gmail.com>2015-03-31 04:33:47 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-04-03 20:50:13 +0700
commit384de9faf3ce7f81ea1faa232f06d04a97b4a9d9 (patch)
tree12c8d739e38212479338bd45a52eb169ddaf665c /multimedia
parent33b5f0a37d91cda35d8916733c8155a9c9e7234d (diff)
downloadslackbuilds-384de9faf3ce7f81ea1faa232f06d04a97b4a9d9.tar.gz
slackbuilds-384de9faf3ce7f81ea1faa232f06d04a97b4a9d9.tar.xz
multimedia/popcorntime: Added (BitTorrent Client).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/popcorntime/README6
-rw-r--r--multimedia/popcorntime/doinst.sh3
-rw-r--r--multimedia/popcorntime/popcorntime.SlackBuild104
-rw-r--r--multimedia/popcorntime/popcorntime.desktop8
-rw-r--r--multimedia/popcorntime/popcorntime.info10
-rw-r--r--multimedia/popcorntime/popcorntime.pngbin0 -> 81183 bytes
-rw-r--r--multimedia/popcorntime/slack-desc19
7 files changed, 150 insertions, 0 deletions
diff --git a/multimedia/popcorntime/README b/multimedia/popcorntime/README
new file mode 100644
index 0000000000..12a4f299e0
--- /dev/null
+++ b/multimedia/popcorntime/README
@@ -0,0 +1,6 @@
+Popcorn Time is a multi-platform, open source BitTorrent client
+that includes an integrated media player. The program is a free
+alternative to subscription-based video streaming services such
+as Netflix. Popcorn Time uses sequential downloading to play
+copies of films listed by the website yts.to, also known as YIFY
+(although other trackers can be added and used manually).
diff --git a/multimedia/popcorntime/doinst.sh b/multimedia/popcorntime/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/multimedia/popcorntime/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/multimedia/popcorntime/popcorntime.SlackBuild b/multimedia/popcorntime/popcorntime.SlackBuild
new file mode 100644
index 0000000000..87bbcb5e28
--- /dev/null
+++ b/multimedia/popcorntime/popcorntime.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for popcorntime
+
+# Copyright 2015 Matthew Kuzminski
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM='popcorntime'
+SRCNAM='Popcorn-Time'
+VERSION=${VERSION:-0.3.7.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+if [ "$ARCH" = "x86_64" ]; then
+ tar xvf $CWD/$SRCNAM-$VERSION-Linux64.tar.xz
+else
+ tar xvf $CWD/$SRCNAM-$VERSION-Linux32.tar.xz
+fi
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+sed -i 's/libudev.so.1/libudev.so.0/g' Popcorn-Time
+
+install -dm755 "$PKG/opt/$PRGNAM"
+install -dm755 "$PKG/usr/bin"
+
+install -Dm755 ./Popcorn-Time "$PKG/opt/$PRGNAM/"
+install -Dm644 ./nw.pak "$PKG/opt/$PRGNAM/"
+install -Dm644 ./package.nw "$PKG/opt/$PRGNAM/"
+install -Dm644 ./libffmpegsumo.so "$PKG/opt/$PRGNAM/"
+
+mkdir -p "$PKG/usr/bin" "$PKG/usr/share/applications/"
+ln -s "/opt/$PRGNAM/Popcorn-Time" "$PKG/usr/bin/$PRGNAM"
+
+install -Dm644 "$CWD/popcorntime.desktop" "$PKG/usr/share/applications/popcorntime.desktop"
+install -Dm644 "$CWD/popcorntime.png" "$PKG/usr/share/pixmaps/popcorntime.png"
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/popcorntime/popcorntime.desktop b/multimedia/popcorntime/popcorntime.desktop
new file mode 100644
index 0000000000..f8f223bc36
--- /dev/null
+++ b/multimedia/popcorntime/popcorntime.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=Popcorn Time
+Comment=Watch torrent movies instantly
+Exec=popcorntime %U
+Icon=popcorntime
+Terminal=false
+Type=Application
+Categories=Player;Video;Network;
diff --git a/multimedia/popcorntime/popcorntime.info b/multimedia/popcorntime/popcorntime.info
new file mode 100644
index 0000000000..45dc6b610a
--- /dev/null
+++ b/multimedia/popcorntime/popcorntime.info
@@ -0,0 +1,10 @@
+PRGNAM="popcorntime"
+VERSION="0.3.7.2"
+HOMEPAGE="http://popcorntime.io"
+DOWNLOAD="https://get.popcorntime.io/build/Popcorn-Time-0.3.7.2-Linux32.tar.xz"
+MD5SUM="c52d3927cce4ebef11e11589b5a2a850"
+DOWNLOAD_x86_64="https://get.popcorntime.io/build/Popcorn-Time-0.3.7.2-Linux64.tar.xz"
+MD5SUM_x86_64="918fdc08c4380563243a9a8b26fb45df"
+REQUIRES=""
+MAINTAINER="Matthew Kuzminski"
+EMAIL="mattkuzminski@gmail.com"
diff --git a/multimedia/popcorntime/popcorntime.png b/multimedia/popcorntime/popcorntime.png
new file mode 100644
index 0000000000..3ea50108cc
--- /dev/null
+++ b/multimedia/popcorntime/popcorntime.png
Binary files differ
diff --git a/multimedia/popcorntime/slack-desc b/multimedia/popcorntime/slack-desc
new file mode 100644
index 0000000000..41d820bcdd
--- /dev/null
+++ b/multimedia/popcorntime/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+popcorntime: popcorntime (BitTorrent Client)
+popcorntime:
+popcorntime: Stream movies from torrents. Skip the downloads. Launch, click, watch.
+popcorntime:
+popcorntime:
+popcorntime:
+popcorntime: Homepage: http://popcorntime.io/
+popcorntime:
+popcorntime:
+popcorntime:
+popcorntime: